Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfKeyType

    java.lang.Object
      java.lang.Enum<OdfKeyType>
          org.odftoolkit.odfdom.dom.type.text.OdfKeyType

All Implemented Interfaces:
  Serializable, Comparable<OdfKeyType>

    public enum OdfKeyType

extends Enum<OdfKeyType>

DOM implementation of OpenDocument attribute text:key.

Enum Constant Summary
`ADDRESS`
`ANNOTE`
`AUTHOR`
`BIBLIOGRAPHY_TYPE`
`BOOKTITLE`
`CHAPTER`
`CUSTOM1`
`CUSTOM2`
`CUSTOM3`
`CUSTOM4`
`CUSTOM5`
`EDITION`
`EDITOR`
`HOWPUBLISHED`
`IDENTIFIER`
`INSTITUTION`
`ISBN`
`ISSN`
`JOURNAL`
`MONTH`
`NOTE`
`NUMBER`
`ORGANIZATIONS`
`PAGES`
`PUBLISHER`
`REPORT_TYPE`
`SCHOOL`
`SERIES`
`TITLE`
`URL`
`VOLUME`
`YEAR`

Method Summary
`static OdfKeyType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfKeyType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfKeyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfKeyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ANNOTE

    public static final OdfKeyType ANNOTE

### IDENTIFIER

    public static final OdfKeyType IDENTIFIER

### VOLUME

    public static final OdfKeyType VOLUME

### MONTH

    public static final OdfKeyType MONTH

### ADDRESS

    public static final OdfKeyType ADDRESS

### SCHOOL

    public static final OdfKeyType SCHOOL

### EDITOR

    public static final OdfKeyType EDITOR

### URL

    public static final OdfKeyType URL

### NUMBER

    public static final OdfKeyType NUMBER

### PAGES

    public static final OdfKeyType PAGES

### ORGANIZATIONS

    public static final OdfKeyType ORGANIZATIONS

### INSTITUTION

    public static final OdfKeyType INSTITUTION

### NOTE

    public static final OdfKeyType NOTE

### YEAR

    public static final OdfKeyType YEAR

### REPORT_TYPE

    public static final OdfKeyType REPORT_TYPE

### ISBN

    public static final OdfKeyType ISBN

### TITLE

    public static final OdfKeyType TITLE

### CHAPTER

    public static final OdfKeyType CHAPTER

### AUTHOR

    public static final OdfKeyType AUTHOR

### JOURNAL

    public static final OdfKeyType JOURNAL

### PUBLISHER

    public static final OdfKeyType PUBLISHER

### BOOKTITLE

    public static final OdfKeyType BOOKTITLE

### BIBLIOGRAPHY_TYPE

    public static final OdfKeyType BIBLIOGRAPHY_TYPE

### HOWPUBLISHED

    public static final OdfKeyType HOWPUBLISHED

### CUSTOM5

    public static final OdfKeyType CUSTOM5

### ISSN

    public static final OdfKeyType ISSN

### CUSTOM4

    public static final OdfKeyType CUSTOM4

### CUSTOM3

    public static final OdfKeyType CUSTOM3

### SERIES

    public static final OdfKeyType SERIES

### EDITION

    public static final OdfKeyType EDITION

### CUSTOM2

    public static final OdfKeyType CUSTOM2

### CUSTOM1

    public static final OdfKeyType CUSTOM1

Method Detail

### values

    public static OdfKeyType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfKeyType c : OdfKeyType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfKeyType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfKeyType>`
  Returns:
    return the name of OdfKeyType

### toString

    public static String toString(OdfKeyType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfKeyType, see text:key
  Returns:
    return the name of OdfKeyType

### enumValueOf

    public static OdfKeyType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfKeyType
  Returns:
    return the constant of OdfKeyType, see text:key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.